$('#go-top').click(function(event) {
	event.preventDefault();
	jQuery('html, body').animate({scrollTop: 0}, 800);
	return false;
});

$(function(){
	$('.mob-menu').click(function(){
		$('nav').fadeToggle(300);
	});
});
$(function(){
    $('.mob-search').click(function(){
        $('.search').fadeToggle(300);
    });
});
$(function(){
    $('.mob-icons').click(function(){
        $('.quick-icons').fadeToggle(300);
    });
});
$(function(){
    $('.mob-icons').click(function(){
        $('.search').fadeOut(300);
        $('nav').fadeOut(300);
    });
    $('.mob-menu').click(function(){
        $('.search').fadeOut(300);
        $('.quick-icons').fadeOut(300);
    });
    $('.mob-search').click(function(){
        $('nav').fadeOut(300);
        $('.quick-icons').fadeOut(300);
    });
});
$(function(){
    $('nav ul li a').click(function(){
        $(this).next('.dropdown').slideToggle(300);
    });
});
$(document).ready(function(){
	$('.tabs li').click(function(){
		var tab_id = $(this).attr('data-tab');

		$('.tabs li').removeClass('current');
		$('.tab-content').removeClass('current');

		$(this).addClass('current');
		$("#"+tab_id).addClass('current');
	})
})

$(function(){
    $('.s-profile-dropdown_collapsed').click(function(){
        $(this).toggleClass("current");
    });
    $('.s-profile-dropdown').click(function(){
        $(this).toggleClass("current");
    });
});


$(document).ready(function(){
    $('.mi-mid-tabs .mmt-tab').click(function(){
        var tab_id = $(this).attr('mmt-tab');

        $('.mi-mid-tabs .mmt-tab').removeClass('current');
        $('.mi-mid-tab-system .s-profile-bar').removeClass('current');

        $(this).addClass('current');
        $("#"+tab_id).addClass('current');
    })
})

/*
$(function(){
    $( ".mi-mid-tab-system .s-profile-bar:nth-child(1)" ).addClass( "current" );
});
*/


$(function(){
    $('.mem-spe-men2-top').click(function(){
        $(this).next('.mem-spe-men2-con').slideToggle(300);
    });
});


$(function(){
    $('.click-more-friends').click(function(){
        $('#visitor_messaging').removeClass('current');
        $('.visitor_messagingx').removeClass('current');
        $('#aboutme').removeClass('current');
        $('.aboutmex').removeClass('current');
        $('.statsx').removeClass('current');
        $('#stats').removeClass('current');
        $('#contactinfo').removeClass('current');
        $('.contactinfox').removeClass('current');
        $('#thanks').removeClass('current');
        $('.thanksx').removeClass('current');
        $('#mentions').removeClass('current');
        $('.mentionsx').removeClass('current');
        $('#cat_itrader_stats').removeClass('current');
        $('.cat_itrader_statsx').removeClass('current');

        $('.friendsx').addClass('current');
        $('#friends').addClass('current');
    });
});

$(function(){
    $('.click-more-stats').click(function(){
        $('#visitor_messaging').removeClass('current');
        $('.visitor_messagingx').removeClass('current');
        $('#aboutme').removeClass('current');
        $('.aboutmex').removeClass('current');
        $('.friendsx').removeClass('current');
        $('#friends').removeClass('current');
        $('#contactinfo').removeClass('current');
        $('.contactinfox').removeClass('current');
        $('#thanks').removeClass('current');
        $('.thanksx').removeClass('current');
        $('#mentions').removeClass('current');
        $('.mentionsx').removeClass('current');
        $('#cat_itrader_stats').removeClass('current');
        $('.cat_itrader_statsx').removeClass('current');

        $('.statsx').addClass('current');
        $('#stats').addClass('current');
    });
});

$(function(){
    $('.click-more-ziymes').click(function(){
        $('#stats').removeClass('current');
        $('.statsx').removeClass('current');
        $('#aboutme').removeClass('current');
        $('.aboutmex').removeClass('current');
        $('.friendsx').removeClass('current');
        $('#friends').removeClass('current');
        $('#contactinfo').removeClass('current');
        $('.contactinfox').removeClass('current');
        $('#thanks').removeClass('current');
        $('.thanksx').removeClass('current');
        $('#mentions').removeClass('current');
        $('.mentionsx').removeClass('current');
        $('#cat_itrader_stats').removeClass('current');
        $('.cat_itrader_statsx').removeClass('current');

        $('.visitor_messagingx').addClass('current');
        $('#visitor_messaging').addClass('current');
    });
});


$(function(){
var typexy = window.location.hash.substr(1);
    $("#"+typexy).addClass("current");
    $("."+typexy+"x").addClass("current");
});

$(function(){
var typexy = window.location.hash.substr(1);
    $("#"+typexy).addClass("current");
    $("."+typexy+"x").addClass("current");
});

$(function(){
    if(window.location.hash == "") {
        $("#visitor_messaging").addClass("current");
        $(".visitor_messagingx").addClass("current");
    } else if(window.location.hash == "visitor_messaging") {
        $("#visitor_messaging").addClass("current");
        $(".visitor_messagingx").addClass("current");
    }
});



/*
$(function(){
    $('.click-more-friends').click(function(){
        $('#visitor_messaging').removeAttr('style');
        $('.visitor_messagingx').removeClass('active');
        $('#aboutme').removeAttr('style');
        $('.aboutmex').removeClass('active');
        $('.statsx').removeClass('active');
        $('#stats').removeAttr('style');
        $('#contactinfo').removeAttr('style');
        $('.contactinfox').removeClass('active');

        $('.friendsx').addClass('active');
        $('#friends').css('display','block');
    });
});

$(function(){
    $('.click-more-stats').click(function(){
        $('#visitor_messaging').removeAttr('style');
        $('.visitor_messagingx').removeClass('active');
        $('#aboutme').removeAttr('style');
        $('.aboutmex').removeClass('active');
        $('.friendsx').removeClass('active');
        $('#friends').removeAttr('style');
        $('#contactinfo').removeAttr('style');
        $('.contactinfox').removeClass('active');

        $('.statsx').addClass('active');
        $('#stats').css('display','block');
    });
});
*/

/*

$(function(){
      
function setMyCookie() {
    myCookieVal = $("body").hasClass('lightex') ? 'isActive' : 'notActive';
    $.cookie('myCookieName', myCookieVal, { path: '/' });    

    myCookieVal = $("#night-mode").hasClass('current') ? 'isActive' : 'notActive';
    $.cookie('myCookieNamex', myCookieVal, { path: '/' });    
}

if ($.cookie('myCookieName') == 'isActive') {
    $("body").addClass('lightex');
    $("body").removeClass('nightex');
} else {
    $("body").removeClass('lightex');
    $("body").addClass('nightex');
}

if ($.cookie('myCookieNamex') == 'isActive') {
    $("#night-mode").addClass('current');    
} else {
    $("#night-mode").removeClass('current');
}

$("#night-mode").click(function () {
    $("body").toggleClass('lightex');
    $("body").toggleClass('nightex');
    setMyCookie();
});

$("#night-mode").click(function () {
    $("#night-mode").toggleClass('current');
    setMyCookie();
});

});

*/